import React, { FC } from 'react';
import { Props as PersistentTooltipProps } from './PersistentTooltip.types';
declare const components: {
    TooltipContent: import("styled-components").IStyledComponent<"web", {
        label: React.ReactNode;
        maxWidth?: number | undefined;
        backgroundColor: import("../../common/Types").ColorFn;
        borderColor: import("../../common/Types").ColorFn;
        ariaLabel?: string | undefined;
        bottomSheet: boolean;
        bottomSheetTitle?: string | undefined;
        onBottomSheetClose?: (() => void) | undefined;
        invertedColors?: boolean | undefined;
    }> & React.FC<import("../../common/PopOver/TooltipContent/TooltipContent.types").TooltipContentProps>;
    CloseButtonIcon: import("styled-components").IStyledComponent<"web", {
        className?: string | undefined;
        title?: string | undefined;
        color?: string | import("../../Atoms/OldIcon/IconBase.types").ColorFn | undefined;
        fill?: string | import("../../Atoms/OldIcon/IconBase.types").ColorFn | undefined;
        size?: number | undefined;
        inline?: boolean | undefined;
        viewBox?: string | undefined;
    }> & {
        (props: import("../../Atoms/OldIcon/IconBase.types").BaseProps): React.JSX.Element;
        displayName: string;
    };
};
export declare const PersistentTooltip: FC<PersistentTooltipProps> & {
    components: typeof components;
};
export {};
